part of study_report;

class StudyReportController extends GetxController {
  final String bookId;
  StudyReportController(this.bookId);
  ReportModel model = ReportModel();


  @override
  void onReady() {
    _getReport();
    super.onReady();
  }


  void _getReport() async {
    model = await LibraryAPI.report(bookId: bookId);
    update();
  }

}